// ****************************************************************************
// *           KE-Visual - Visualisierungssprache unter Windows           		*
// ****************************************************************************
// * Sprache                : Borland C++ V 4.5 / KE-Visual                	*
// * programmiert von       : Peter Thaus                        					*
// * Projekt begonnen am    : 25.04.1994                                      *
// * Sourcetext begonnen am : 13.02.1995                                      *
// * letzte nderung am     : 28.10.1997                                      *
// ****************************************************************************
// *                          Datei : SYS_FLAG.H                              *
// ****************************************************************************
// * Bemerkung : Projektunabhngige Flags                                     *
// ****************************************************************************


#ifndef __SYS_FLAG_H
#define __SYS_FLAG_H
#define __KEB_SYS_FLAG_H

// Anzahl reservierter Textpuffer fr KE-Visual
#define  KEV_SYSTEM_FLAGS      					20

// ****************************************************************************
// *              	           Flags     	                                 *
// ****************************************************************************

// Default: FALSE
// wenn TRUE, dann werden bei Befehlen wie DiagramSetAxleText und
// AnalogDisplaySetText die Koordinate relativ zum Diagrammursprung / zur Nadelmitte gewhlt
#define	FLAG_OBJECTS_RELATIVE_COORDINATES   0

// 1, wenn sich die Statuszeile gendert hat (wird beim Auslesen der Statuszeile
// gelscht)
#define	FLAG_STATUSLINE_CHANGED  				1

// TRUE: Compilerfehler ignorieren (keine Ausgabe in Box, sondern nur in Datei)
#define	FLAG_IGNORE_COMPILER_ERRORS			2

// Status-Flags fr MCI-Gerte; Mgliche Zustnde:
// MCI_DEVICE_ERROR, MCI_DEVICE_NO_ACTION, MCI_DEVICE_PAUSED, MCI_DEVICE_RUNNING
// AVI-Ausgabe
#define  FLAG_AVI_FILE_MODE   					3
// MIDI-Ausgabe
#define  FLAG_MIDI_STATUS      					4
// WAV-Ausgabe
#define  FLAG_WAV_STATUS      					5

// 0: DOS-Fehler nicht automatisch anzeigen; 1: Fehlerbox bei Fehler
#define  FLAG_SHOW_DOS_ERRORS  					6

// 1, solange Drucker aktiv ist (Starten eines Druckauftrages bis zum Ende)
#define	FLAG_PRINTER_ACTIVE      				7

// 0: Ausdruck auf Drucker; 1: Ausdruck in Datei; 2: Druckervorschau
#define  FLAG_PRINTER_MODE     					8

// Default: FALSE;
// wenn TRUE, dann wird anstatt dem internen Preview-Programm ein externes
// aufgerufen
#define	FLAG_USE_EXTERNAL_PREVIEW				9

// FALSE: Taskswitching (Alt-Tab, Ctrl-Esc) erlaubt; TRUE: kein Taskswitching
#define	FLAG_TASKSWITCHING_DISABLED			10

// FALSE: Screensaver darf aktiviert werden; TRUE: kein Screensaver erlaubt
#define	FLAG_SCREENSAVER_DISABLED				11

// TRUE: Maus (oder anderes Zeigerinstrument) vorhanden; FALSE: keine Maus
#define	FLAG_MOUSE_PRESENT						12

// wird FALSE gesetzt, wenn Befehl EndScreenText ausgefhrt wird
// wird TRUE gesetzt, wenn Screentext aus Speicher entfernt wurde
#define	FLAG_SCREENTEXT_ENDED					13

// wird FALSE gesetzt, wenn Befehl StartSreenText ausgefhrt wird
// wird TRUE gesetzt, wenn Screentext geladen und initialisiert wurde (am Ende
// 	 des ersten Page-Definition-Teils)
#define	FLAG_SCREENTEXT_STARTED					14

// Default: FALSE;
// wenn TRUE, wird bei einem PopScreenText automatisch wieder das ID-Objekt
// aktiv gesetzt, das beim PushScreenText aktiv war
#define	FLAG_POP_SCREENTEXT_AUTO_ID			15

// Default: FALSE;
// wenn TRUE, werden bei allen Textausgabe-Befehlen die Koordinaten fr X() und
// Y() hinter die Ausgabe gesetzt 
#define	FLAG_FULL_COORDINATE_CORRECT			16

// Default: FALSE;
// wenn TRUE, wird beim Drcken der Printscreentaste eine dialoggefhrte
// Hardcopy des Bildschirms ausgefhrt; ansonsten wird die Taste ignoriert
// Die Funktion arbeitet noch nicht sauber (Streifen mit unterschiedlichen
// Helligkeitsschattierungen auf HP-Laserjet)
#define	FLAG_HARDCOPY_ON_PRINTSCREEN			17

#endif  __SYS_FLAG_H

// ****************************************************************************
// *             	       Ende Datei : SYS_FLAG.H                          		*
// ****************************************************************************

